aboutsummaryrefslogtreecommitdiffstats
Commit message (Collapse)AuthorAgeFilesLines
* testing/wqy-zenhei: new aportIvan Tham2017-02-223-0/+96
| | | | | http://wenq.org/wqy2/index.cgi?ZenHei Hei-Ti style (sans-serif) Chinese outline font
* main/rrdtool: rebuild against perl-5.24.1Stefan Wagner2017-02-221-2/+2
|
* testing/upx: Disable build on ppc64leBreno Leitao2017-02-221-1/+1
| | | | | | | | | | Please disable the build of upx on ppc64le since it is still not ported to ppc64le. We are working to enable it on ppc64le, as showed in the link below, but the port is still not done yet. https://sourceforge.net/p/upx/feature-requests/90/
* community/py-cx_freeze: upgrade to 5.0.1Francesco Colista2017-02-221-5/+3
|
* community/perl-config-any: upgrade to 0.28Francesco Colista2017-02-221-5/+3
|
* main/gnupg: upgrade to 2.1.18Sören Tempel2017-02-221-8/+2
|
* main/btrfs-progs: upgrade to 4.9.1Sören Tempel2017-02-221-8/+2
|
* testing/libinput: upgrade to 1.6.2Sören Tempel2017-02-221-4/+2
|
* main/mosh: rebuild against protobufSören Tempel2017-02-221-1/+1
|
* community/mumble: upgrade to 1.2.19Sören Tempel2017-02-221-7/+3
|
* testing/pdfgrep: move bash and zsh completions to a subpackageSören Tempel2017-02-221-3/+33
|
* community/chicken: upgrade to 4.12.0Sören Tempel2017-02-221-6/+3
|
* testing/libsepol: upgrade to 2.6Natanael Copa2017-02-211-7/+3
|
* testing/libselinux: upgrade to 2.6Natanael Copa2017-02-214-46/+45
|
* main/busybox: upgrade to 1.26.2Natanael Copa2017-02-212-129/+3
|
* main/busybox: move cpio to /usr/binNatanael Copa2017-02-212-39/+16
|
* testing/py-lxc-python2: new aportLeonardo Arena2017-02-211-0/+26
|
* testing/ghc: Split ghc into ghc and ghc-dev, add post-install scriptMitch Tishmack2017-02-212-7/+48
| | | | | | | | | | | | | | | | | | | | | | While here ensure that strip --strip-unneeded is called on all shared libraries and static archives. This reduces the overall install sizes a skosh. The larger win here, is stripping out the profiled debugging libraries from the default ghc package. If someone wanted to debug now they will need to install ghc-dev to get that RTS and debug libraries. Realistically this only affects those users that are building packages that need to debug. As well as future enhancements to the ghc/haskell which will build packages with profiled libraries as well. But this compromise for the overall install size is preferable to users installing libraries they likely won't need/use and overal bandwidth that consumes. Since we install via make install DESTDIR=... we need to regenerate the ghc pkg db at post install time. [TT: flatten commits]
* testing/ucl: update_config_guess for aarch64Timo Teräs2017-02-211-0/+1
|
* community/hivex: upgrade to 1.3.14Francesco Colista2017-02-211-5/+3
|
* testing/icingaweb2-module-director: upgrade to 1.3.1Francesco Colista2017-02-211-4/+2
|
* testing/etcd: upgrade to 3.1.1Francesco Colista2017-02-211-8/+2
|
* testing/lxd: upgrade to 2.9Francesco Colista2017-02-211-8/+2
|
* testing/ucl: update_config_sub for aarch64Timo Teräs2017-02-211-0/+5
|
* community/perl-log-log4perl: upgrade to 1.49Francesco Colista2017-02-211-4/+2
|
* testing/homer-api: fix cron jobKaarle Ritvanen2017-02-212-8/+14
|
* main/perl-net-dns: upgrade to 1.08Leonardo Arena2017-02-211-4/+2
|
* testing/php7.1: upgrade to 7.1.2Valery Kartel2017-02-211-46/+41
| | | | | | | -- some fixes with variables fixes in provides, replaces add loading xml extension in /usr/bin/pecl
* testing/py-asn1crypto: new aportAndré Klitzing2017-02-211-0/+45
|
* testing/upx: new aportMitch Tishmack2017-02-212-0/+48
|
* testing/ucl: new aportMitch Tishmack2017-02-212-0/+65
|
* testing/moreutils: upgrade to 0.60 and modernize abuildAndré Klitzing2017-02-212-24/+15
| | | | Update docbook-xsl.patch
* main/py-cffi: upgrade to 1.9.1André Klitzing2017-02-211-5/+3
|
* main/irssi: upgrade to 1.0.1André Klitzing2017-02-211-4/+2
|
* main/py-pygments: upgrade to 2.2.0André Klitzing2017-02-211-5/+3
|
* main/pidgin-sipe: upgrade to 1.22.0André Klitzing2017-02-211-5/+3
|
* main/libuv: upgrade to 1.11.0André Klitzing2017-02-211-4/+2
|
* main/flake8: upgrade to 3.3.0André Klitzing2017-02-211-4/+2
|
* main/py-requests: upgrade to 2.13.0André Klitzing2017-02-211-5/+3
|
* main/strace: upgrade to 4.16André Klitzing2017-02-211-4/+2
|
* community/pcre2: upgrade to 10.23André Klitzing2017-02-211-4/+2
|
* main/lftp: upgrade to 4.7.6André Klitzing2017-02-211-2/+2
|
* main/libgcrypt: upgrade to 1.7.6André Klitzing2017-02-211-4/+2
|
* main/libwebsockets: upgrade to 2.1.1André Klitzing2017-02-211-5/+3
|
* main/ccache: upgrade to 3.3.4André Klitzing2017-02-211-4/+2
|
* main/alsa-lib: Fix FTBFS on ppc64leBreno Leitao2017-02-212-3/+51
| | | | | | | | | | | | Currently alsa-libs is FTBFS on ppc64le due to an old code workaround on the linking mechanism. This causes the following error: libasound.so: undefined reference to `.__snd_pcm_hw_params_set_format_first' Removing this legacy workaround to enable alsa lib to build on ppc64le.
* main/alsa-lib: Add "limits.h" as a dependency for ucm/parser.cBreno Leitao2017-02-212-3/+17
| | | | | | | | | Currently ucm/parser.c uses PATH_MAX that is defined by limits.h. ucm/parser.c does not include limits.h, thus, it casues a FTBFS on ppc64le On amd64, it does not FTBFS since PATH_MAX seems to come from a different place.
* main/valgrind: add ppc64le as a supported archBreno Leitao2017-02-201-1/+1
| | | | | | Valgrind is well supported on ppc64le. This patch just enable valgrind on ppc64le. On my test, valgrind compiled and run fine on Alpine/ppc64le.
* testing/captagent: remove archive filesKaarle Ritvanen2017-02-201-2/+3
|
* community/py-numpy: add py2/py3 and f2py subpkgs, move tests to -devJakub Jirutka2017-02-201-10/+75
|